package be.iminds.ilabt.jfed.rspec.model.impl;

import be.iminds.ilabt.jfed.rspec.model.InstallService;

/**
* InstallService
*/
public class BasicInstallService implements InstallService {
    private String installPath;
    private String url;

    public BasicInstallService(String installPath, String url) {
        this.installPath = installPath;
        this.url = url;
    }

    public BasicInstallService(InstallService is) {
        this(is.getInstallPath(), is.getUrl());
    }

    @Override public String getInstallPath() {
        return installPath;
    }

    @Override public void setInstallPath(String installPath) {
        this.installPath = installPath;
    }

    @Override public String getUrl() {
        return url;
    }

    @Override public void setUrl(String url) {
        this.url = url;
    }

    //JavaFX version:
//    private StringProperty installPath = new SimpleStringProperty();
//    private StringProperty url = new SimpleStringProperty();
//
//    public InstallService(String installPath, String url) {
//        this.installPath.set(installPath);
//        this.url.set(url);
//    }
//
//    public InstallService(InstallService o) {
//        installPath.set(o.installPath.get());
//        url.set(o.url.get());
//    }
//
//    public String getInstallPath() {
//        return installPath.get();
//    }
//
//    public void setInstallPath(String installPath) {
//        this.installPath.set(installPath);
//    }
//
//    public String getUrl() {
//        return url.get();
//    }
//
//    public void setUrl(String url) {
//        this.url.set(url);
//    }
//
//    public StringProperty installPathProperty() {
//        return installPath;
//    }
//
//    public StringProperty urlProperty() {
//        return url;
//    }
}
